<div class='image'>
  <img [src]="product.imgUrl" alt="Product image" class="info">
  <div class="content">
    <a class="header"> {{product.name}} </a>
    <div class="meta">
        Price:  {{ product.price}} €
    </div>
  </div>
</div>


<button  type="button" class="ui medium button" (click)="enableChangeFields()" id="details">  Details </button>
<div class="ui vertical animated button" tabindex="0" (click)="addToCart()" style="width: 70px;">
  <div class="hidden content">Shop</div>
  <div class="visible content">
     <i class="shop icon"></i>
  </div>
</div>




 <div *ngIf="showChangeFields">

    <br />
    Brand: {{product.brand}} <br />
    Processor: {{product.processor}}<br />
    Ram: {{product.ram}}<br />
    SSD: {{product.ssd}}<br />
    <br />
    <button  type="button" class="ui tiny button"  (click)="disableChangeFields()" id="showLess"> Show less </button>
    <br>
    <br>
</div>


  
<div class="ui labeled button" tabindex="0">
  <div class="ui right floated column" style="height: 40px; width: 150px; font-size:16px">
    {{ inFavourites ? "Remove from favourites" : "Add to favourites" }}

    <i class="{{ inFavourites ? 'heart icon' : 'heart outline icon'}}"   (click)="onHeartClicked()"></i>
    <br><br>
  </div>
</div>

